Subject: Re: CCL:Opteron or Nocona ?

From: Christian Boehme <Christian.Boehme * gwdg.de>
Date: Tue, 10 May 2005 11:41:46 +0200

Dear Luigi,

Luigi Cavallo schrieb:
> we are going to invest some money for a few computers, and we have to
> make a decision between the AMD-Opterons and the Intel-Nocona. What's
> better ? We are experienced with the Opterons, but we have no idea about
> the Noconas...
> 
> Major codes to run on them will be classical QM packages as ADF, G03, TM,
> some AIMD as CPMD, and possibly some classical MD as gromacs.

We recently purchased a 32 dual-processor Opteron (2GHz) cluster. We 
used CPMD and several artificial benchmarks on Opteron and Xeon (3GHz) 
machines to come to this decision. With CPMD we found that the advantage 
of the Opteron over the Xeon was very significant for 32-bit memory 
intensive applications running on both processors of a dual processor 
box (Intel compiler on both architectures). When using just one 
processor, the Xeon scored much better. As Intel has not changed the 
memory interface of the Nocona, I do not think this trend would be 
different for 64-bit applications. Regarding Fortran compilers, from our 
experience both the Intel and the Portland can now be used to make 
production quality 64-bit binaries for the Opterons. Best wishes

Christian

-- 
Dr. Christian Boehme
GWDG                            Private:
Am Fassberg                     Wilhelm-Raabe-Str. 15
37077 Gvttingen                 37083 Gvttingen
email: Christian.Boehme * gwdg.de ChristianBoehme * web.de
phone: +49 (0)551 201-1839      +49 (0)551 3077000
fax:   +49 (0)551 201-2150      +49 (0)551 3077077

---

From: Konstantin Kudin <konstantin_kudin * yahoo.com>
Date: Mon, 9 May 2005 19:01:04 -0700 (PDT)

Actually, highly optimizing compilers for Opteron do exist (such as
Pathscale). Even Intel Fortran 8.1 (either 32 or 64 bits) produces
decent code for Opteron since Opteron is not as fragile as Pentium 4 in
terms of which code it likes and which it does not.

 There is  one specific situation where Nocona could come as a clear
winner, but such cases are not too common. Basically, codes that run
BLAS routines such as DGEMM for the majority of their runtime gain a
lot on Nocona when the correct libraries are used. This is because both
Opteron and Nocona run BLAS proportionally to the clock speed, so the
much higher clocked Nocona wins (~3 vs ~2 Ghz). On the other hand,
multi-processor Noconas can choke because of limited memory bandwidth,
whereas Opterons under such circumstances do just fine.

 Last, here are some last year's Gaussian03 benchmarks, where both
Opterons and Noconas were comparable:
http://www.princeton.edu/~kkudin/g03_b5_tests_1.txt

 YMMV ...

 Kostya

--- mark somers <m.somers * chem.leidenuniv.nl> wrote:
> Dear Luigi Cavallo,
> 
> we have recently purchased and setup a new Beowulf cluster here in
> Leiden, 
> dedicated to run ADF and other DFT codes (Dacapo and Vasp) on it. We
> have 
> found the Nocona's, in combination with the Intel compilers, to be
> the best 
> combination especially for ADF and ADF-BAND.
> 
> Before we decided to go for the Nocona's, we did try with two test
> machines, 
> one being a dual-cpu AMD Opteron 246 (2.0 GHz) and the other being a
> dual-cpu 
> Nocona (3.0 GHz). Tests showed that the AMD has, in general, a
> slightly 
> better cache hierarchy and a better memory scalability, but also that
> the 
> lack of compilers able to tune for the Opterons is severe. Of course
> we took 
> the differences in cpu clocks into account.
> 
> As it turns out, after having contacted the SCM people in Amsterdam,
> ADF can 
> effectively use the SSE3 registers and cpu intruction set and that
> makes it 
> run fast on the Nocona's. This, together with the prices being
> roughly the 
> same, made us decide to go for the Nocona's. 
> 
> BTW, maybe this is known to you already, but Intel offers you their
> OpenMP 
> capable compilers for free for academic use. 
> 
> The machine is up and running now in 64 bit mode and doing fine ;-). 
> 
> Maybe the information can help you in your decision.
> 
> Best regards, 
> 
> Mark Somers.
> 
> > Hi,
> >
> > Thanks,
> > Luigi
> Dr. M. F. Somers
> Theoretical Chemistry - Leiden Institute of Chemistry  - Leiden
> University
> Einsteinweg 55, P.B. 9502, 2300 RA Leiden, The Netherlands
> tel: +31715274437
> mail: m.somers * chem.leidenuniv.nl
> web:  http://rulgla.leidenuniv.nl/Researchers/Somers.htm
> room: HB322
> 
> 
> -= This is automatically added to each message by the mailing script
> =-
> To send e-mail to subscribers of CCL put the string CCL: on your
> Subject: line
> and send your message to:  CHEMISTRY * ccl.net
> 
> Send your subscription/unsubscription requests to:
> CHEMISTRY-REQUEST * ccl.net 
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
> 
> If your is mail bouncing from ccl.net domain due to spam filters,
> please
> use the Web based form from CCL Home Page 
>
-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

__________________________________ 
Do you Yahoo!? 
Yahoo! Small Business - Try our new resources site!
http://smallbusiness.yahoo.com/resources/